function RES=CreateBinomialSet(A,Nmax);
% function RES=CreateBinomialSet(A,Nmax);
% Створення біноміальної множини
% Аргументи:
%   A    - значення параметра a
%   Nmax - значення максимальної кількості розрядів
% Результати:
%   RES  - вектор-стовпчик із значеннями біноміальної множини

% обчислюємо кількість елементів у множині
N=2^Nmax;
% виділяємо область пам"яті для результата
RES=zeros(N,1);
% обчислюємо елементи множини
for k=1:N
    % calculate n(k-1)
    SUM=0;
    BASE=1;
    while (BASE<=k-1)
        if (bitand(k-1,BASE)~=0) SUM=SUM+1; end
        BASE=bitshift(BASE,1);
    end
    RES(k,1)=(A^SUM)*((1-A)^(Nmax-SUM));
end

% очищуємо локальні змінні
clear N k SUM BASE;